# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc删除无效草稿订单验证_代客下单,2295,2295-54,sit,bs
主数据平台:后台运营系统草稿订单删除接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_order_list"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 随机生成无效的订单id
order_id = random.randint(0, 5)

# 第二步进行草稿订单删除操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url54")
request_body = commonFuc().get_business_data(module, "payload54", order_id)

"""

 场景: 删除无效草稿订单验证_代客下单
 用例名称：删除无效草稿订单验证_代客下单
 输出：{"success":true,"code":"200","message":"OK","data":false,"freshToken":null}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
# 将接口响应时间添加至result
result = json.loads(result.content)
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict54")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

